## org.apache.aries.subsystem.core.internal
Class DependencyCalculator

    java.lang.Object
      org.apache.aries.subsystem.core.internal.DependencyCalculator

    public class DependencyCalculator

extends Object

Constructor Summary
`DependencyCalculator(Collection<org.osgi.resource.Resource> resources)`

Method Summary
`List<org.osgi.resource.Requirement>` `calculateDependencies()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyCalculator

    public DependencyCalculator(Collection<org.osgi.resource.Resource> resources)

Method Detail

### calculateDependencies

    public List<org.osgi.resource.Requirement> calculateDependencies()
                                                              throws org.osgi.service.resolver.ResolutionException

  Throws:
    `org.osgi.service.resolver.ResolutionException`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.